Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.workitem.wsht
Class PeopleAssignmentHelper

    java.lang.Object
      org.jbpm.process.workitem.wsht.PeopleAssignmentHelper

    public class PeopleAssignmentHelper

extends Object

A class responsible for assigning the various ownerships (actors, groups, business administrators, and task stakeholders) from a `WorkItem` to a `Task`. This class consolidates common code for reuse across multiple `WorkItemHandler`s.

Field Summary
`static String` | `ACTOR_ID`
`static String` | `BUSINESSADMINISTRATOR_ID`
`static String` | `EXCLUDED_OWNER_ID`
`static String` | `GROUP_ID`
`static String` | `RECIPIENT_ID`
`static String` | `TASKSTAKEHOLDER_ID`

Constructor Summary
`PeopleAssignmentHelper()`

Method Summary
`protected void` | `assignActors(WorkItem workItem, PeopleAssignments peopleAssignments, TaskData taskData)`
`protected void` | `assignBusinessAdministrators(WorkItem workItem, PeopleAssignments peopleAssignments)`
`protected void` | `assignExcludedOwners(WorkItem workItem, PeopleAssignments peopleAssignments)`
`protected void` | `assignGroups(WorkItem workItem, PeopleAssignments peopleAssignments)`
`protected void` | `assignRecipients(WorkItem workItem, PeopleAssignments peopleAssignments)`
`protected void` | `assignTaskStakeholders(WorkItem workItem, PeopleAssignments peopleAssignments)`
`protected PeopleAssignments` | `getNullSafePeopleAssignments(Task task)`
`void` | `handlePeopleAssignments(WorkItem workItem, Task task, TaskData taskData)`
`protected void` | `processPeopleAssignments(String peopleAssignmentIds, List<OrganizationalEntity> organizationalEntities, boolean user)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTOR_ID

    public static final String ACTOR_ID

See Also:
  Constant Field Values

### GROUP_ID

    public static final String GROUP_ID

See Also:
  Constant Field Values

### BUSINESSADMINISTRATOR_ID

    public static final String BUSINESSADMINISTRATOR_ID

See Also:
  Constant Field Values

### TASKSTAKEHOLDER_ID

    public static final String TASKSTAKEHOLDER_ID

See Also:
  Constant Field Values

### EXCLUDED_OWNER_ID

    public static final String EXCLUDED_OWNER_ID

See Also:
  Constant Field Values

### RECIPIENT_ID

    public static final String RECIPIENT_ID

See Also:
  Constant Field Values

Constructor Detail

### PeopleAssignmentHelper

    public PeopleAssignmentHelper()

Method Detail

### handlePeopleAssignments

    public void handlePeopleAssignments(WorkItem workItem,
                                        Task task,
                                        TaskData taskData)

### assignActors

    protected void assignActors(WorkItem workItem,
                                PeopleAssignments peopleAssignments,
                                TaskData taskData)

### assignGroups

    protected void assignGroups(WorkItem workItem,
                                PeopleAssignments peopleAssignments)

### assignBusinessAdministrators

    protected void assignBusinessAdministrators(WorkItem workItem,
                                                PeopleAssignments peopleAssignments)

### assignTaskStakeholders

    protected void assignTaskStakeholders(WorkItem workItem,
                                          PeopleAssignments peopleAssignments)

### assignExcludedOwners

    protected void assignExcludedOwners(WorkItem workItem,
                                        PeopleAssignments peopleAssignments)

### assignRecipients

    protected void assignRecipients(WorkItem workItem,
                                    PeopleAssignments peopleAssignments)

### processPeopleAssignments

    protected void processPeopleAssignments(String peopleAssignmentIds,
                                            List<OrganizationalEntity> organizationalEntities,
                                            boolean user)

### getNullSafePeopleAssignments

    protected PeopleAssignments getNullSafePeopleAssignments(Task task)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.